// pages/deliveryConfirm/index.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    sendRecordNum:0,
    str:'&emsp;',
    loginStatus: wx.getStorageSync('loginStatus') ? wx.getStorageSync('loginStatus') : false,
    roleCodeList: wx.getStorageSync('roleCodeList') ? wx.getStorageSync('roleCodeList') : '',
    activeIndex:'1',
    searchVal: '',
    //分页
    limit: 10,
    requestStatu: '加载中...',
    page: 1,
    totalPages: 1,
    more: false,
    nomore: '',

    resData:[],

    appointmentTypeArray: [{
      dictValue: "",
      dictLabel: "全部状态"
    }],
    appointmentTypeIndex: 0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    if(wx.getStorageSync('loginStatus')){
      this.getTree()
    }
  },

  //获取字典数据
  getTree:function(){
    app.request.GET({
      url:app.API.getTree,
      page:this,
      successFun:true
    }).then(res=>{
      let treeData = res.data.data
      for (const element of treeData) {
        let arrStr;
        switch (element.dictValue) {
          case 'appointment_type':
            arrStr = "appointmentTypeArray";
            break;
        }
        let getArray = this.data.appointmentTypeArray
        this.setData({
          [arrStr]: getArray.concat(element.children)
        })
      }
      
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    const roleCodeList = wx.getStorageSync('roleCodeList')
    let loginStatus = wx.getStorageSync('loginStatus')
    this.setData({
      searchVal: '',
      roleCodeList: roleCodeList ? roleCodeList : '',
      loginStatus: loginStatus ? loginStatus : false
    })

    //动态tabbar
    // if (roleCodeList == 'bizAdmin') {
    //   this.getTabBar().setData({
    //     list: app.globalData.allList[0].list2,
    //   })
    // } else if(roleCodeList == 'send') {
    //   this.getTabBar().setData({
    //     list: app.globalData.allList[0].list3,
    //   })
    // } else if(roleCodeList == 'sale') {
    //   this.getTabBar().setData({
    //     list: app.globalData.allList[0].list4,
    //   })
    // } else if(roleCodeList == 'customer') {
    //   this.getTabBar().setData({
    //     list: app.globalData.allList[0].list5,
    //   })
    // } else if (roleCodeList=='driver'||roleCodeList==''){
    //   this.getTabBar().setData({
    //     list: app.globalData.allList[0].list1,
    //   })
    // }
    // if (typeof this.getTabBar === 'function' && this.getTabBar()) {
    //   this.getTabBar().setData({
    //     selected: 0
    //   })
    // }
    
    if(wx.getStorageSync('loginStatus')){
      this.getListFun();
    }
  },

  //搜索框请求S
  onChange(e) {
    this.setData({
      searchVal: e.detail,
    });
  },
  onSearch: function (event) {
    this.setData({
      searchVal: event.detail
    })
    this.getListFun();
  },
  onCancel: function () {
    this.setData({})
  },
  toSearch: function (event) {
    this.getListFun();
  },
  //搜索框请求E

  //点击选项卡变化
  changeTypeFun: function (e) {
    this.setData({
      activeIndex: e.currentTarget.dataset.type
    })
    this.getListFun();
  },

  //列表  appointmentType    1砂石    3起卸
  getListFun: function () {
    this.setData({
      page: 1
    })
    let params = {
      current: this.data.page,
      size: this.data.limit,
      isFlag:'1',
      licensePlate:this.data.searchVal,
      sendRecordStatus:this.data.activeIndex
    }
    app.request.pageFirst({
      url: app.API.sendGoodsList,
      page: this,
      params: params,
    })
  },

  //发货确认操作
  comform: function (e) {
    let _this = this
    let { id, licensePlate } = e.currentTarget.dataset
    wx.showModal({
      title: '提示！',
      content: `【${licensePlate}】发货确认后不可取消。确定现在确认吗？`,
      confirmColor: '#FF5B5B',
      success: function (res) {
        if (res.confirm) {
          app.request.POST({
            url: app.API.sendGoodsConfirm,
            params: {
              id: id
            },
            page: _this,
            isLoadingTxt: '确认中...',
            successFun: true
          }).then(res => {
            wx.showToast({
              title: '确认成功',
              icon: 'success',
              duration: 1000,
              mask: true
            })
            _this.getListFun(); //刷新列表
          })
        } else if (res.cancel) {

        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {
    this.setData({
      searchVal: ''
    })
    if (wx.getStorageSync('loginStatus')) {
      this.getListFun();
    } else {
      wx.stopPullDownRefresh();
    }
  },

  /**
   * 页面上拉触底事件的处理函数
   * appointmentType  1砂石  3起卸
   */
  onReachBottom() {
    this.data.page++;
    let params = {
      current: this.data.page,
      size: this.data.limit,
      isFlag:'1',
      licensePlate:this.data.searchVal,
      sendRecordStatus:this.data.activeIndex
    }
    app.request.pageOther({
      url: app.API.sendGoodsList,
      page: this,
      params: params,
      loadType: true, //加载类型，是否是下拉加载
    });
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})